security:
    encoders: 
        FOS\UserBundle\Model\UserInterface: sha512

    acl:
        connection: default

    role_hierarchy:
        ROLE_USER:        ROLE_USER
        ROLE_ADMIN:       [ROLE_ADMIN, ROLE_USER]
        ROLE_SUPER_ADMIN: [ROLE_SUPER_ADMIN, ROLE_ADMIN, ROLE_USER, ROLE_ALLOWED_TO_SWITCH]
 

    providers:
        fos_userbundle:
            id: fos_user.user_provider.username_email

#    providers:
#        fos_userbundle:
#            id: fos_user.user_manager
            

    firewalls:
        dev:
            pattern:  ^/(_(profiler|wdt)|css|images|js)/
            security: false

        main:
            pattern:    ^/
            logout:
                path:   fos_user_security_logout
        
            anonymous:    true
            form_login:
                provider: fos_userbundle
                csrf_provider: security.csrf.token_manager
                login_path: fos_user_security_login    #/login
                check_path: fos_user_security_check    #/login_check
                default_target_path: / #/admin
